sailpoint.object

## Class Entitlement

- java.lang.Object
- - sailpoint.object.Entitlement

    public class Entitlement
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Entitlement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.util.List<Entitlement>` `getAccountEntitlements(java.util.Locale locale, Link link, java.lang.String attributeFilter)`
`java.lang.String` `getApplicationName()`
`java.lang.String` `getAttributeName()`
`java.lang.String` `getAttributeValue()`
`java.lang.String` `getDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Entitlement

    public Entitlement()

### Method Detail

#### getApplicationName

    public java.lang.String getApplicationName()

#### getAttributeName

    public java.lang.String getAttributeName()

#### getAttributeValue

    public java.lang.String getAttributeValue()

#### getDescription

    public java.lang.String getDescription()

#### getAccountEntitlements

    public static java.util.List<Entitlement> getAccountEntitlements(java.util.Locale locale,
                                                                     Link link,
                                                                     java.lang.String attributeFilter)